package com.nbclass.szxgl.model;

import java.util.Date;
import javax.persistence.*;

@Table(name = "per_msg")
public class PerMsg {
    @Id
    private String id;

    /**
     * 用户id
     */
    @Column(name = "user_id")
    private String userId;

    /**
     * 消息类型
     */
    @Column(name = "msg_type")
    private Byte msgType;

    /**
     * 关联表id
     */
    @Column(name = "table_id")
    private String tableId;

    /**
     * 发送时间
     */
    @Column(name = "msg_time")
    private Date msgTime;

    /**
     * 消息读取状态，1：已读，0：未读
     */
    @Column(name = "read_state")
    private int readState;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public Byte getMsgType() {
		return msgType;
	}

	public void setMsgType(Byte msgType) {
		this.msgType = msgType;
	}

	public String getTableId() {
		return tableId;
	}

	public void setTableId(String tableId) {
		this.tableId = tableId;
	}

	public Date getMsgTime() {
		return msgTime;
	}

	public void setMsgTime(Date msgTime) {
		this.msgTime = msgTime;
	}

	public int getReadState() {
		return readState;
	}

	public void setReadState(int readState) {
		this.readState = readState;
	}

 
}